ClearStatsTask (Lucene 2.4.1 API)
Keywords: org.apache.lucene.benchmark.byTask.tasks.ClearStatsTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.tasks
Class ClearStatsTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ClearStatsTask

All Implemented Interfaces:
  Cloneable

    public class ClearStatsTask

extends PerfTask

Clear statistics data.
Other side effects: None.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`NEW_LINE, params`

Constructor Summary
`ClearStatsTask(PerfRunData runData)`

Method Summary
`int` | `doLogic()` Perform the task once (ignoring repetions specification) Return number of work items done by this task.
`protected boolean` | `shouldNotRecordStats()` Tasks that should not record statistics can overide this.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getDepth, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setup, shouldNeverLogAtStart, supportsParams, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClearStatsTask

    public ClearStatsTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`

### shouldNotRecordStats

    protected boolean shouldNotRecordStats()

  Description copied from class: `PerfTask`
  Tasks that should not record statistics can overide this.

  Overrides:
    `shouldNotRecordStats` in class `PerfTask`
  Returns:
    true if this task should never record its statistics.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.